Bug 1119336 - getUserCpuTuneInfo flooding vdsm log
Summary: getUserCpuTuneInfo flooding vdsm log
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm
Version: 3.5.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 3.5.0
Assignee: Martin Sivák
QA Contact: Artyom
URL:
Whiteboard: sla
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 14:32 UTC by Michal Skrivanek
Modified: 2016-02-10 20:13 UTC (History)
10 users (show)

Fixed In Version: vdsm-4.16.7.2-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-16 13:40:59 UTC
oVirt Team: SLA


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
oVirt gerrit 30038 master MERGED Remove noisy log message from CPU metadata collector Never
oVirt gerrit 30079 ovirt-3.5 MERGED Remove noisy log message from CPU metadata collector Never

Description Michal Skrivanek 2014-07-14 14:32:16 UTC
recent change 54d169503ae903f1ccd4e2d60fc945b080d60ac7 introduced a debug line in stats which generates a log line every single time it samples a VM.
This needs to be changed to on-time warning instead, pretty much like msivak's iotune patch 

GuestMonitor-vm_1::DEBUG::2014-07-13 17:56:50,551::vm::423::vm.Vm::(_getUserCpuTuneInfo) vmId=`8be16854-2bc9-49dd-a5c5-8ea38536be99`::Domain Metadata is not set

Comment 1 Michal Skrivanek 2014-07-14 14:35:33 UTC
the same applies to the following exception which was also added as part of the original code:

Thread-94::ERROR::2014-07-13 17:56:22,833::vm::319::vm.Vm::(_sampleCpuTune) vmId=`8be16854-2bc9-49dd-a5c5-8ea38536be99`::Failed to retrieve QoS metadata

Comment 2 Artyom 2014-10-30 13:55:00 UTC
Verified on vdsm-4.16.7.2-1.el6ev.x86_64
No any lines like above found on vdsm.log


Note You need to log in before you can comment on or make changes to this bug.